//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDFRAME.H

#if !defined(__SFX_SDFRAME_H)
#define __SFX_SDFRAME_H

#if !defined(__OWL_DECFRAME_H)
  #include <owl\decframe.h>
#endif

//  class TSFXDecoratedFrame

class _OWLCLASS TSFXDecoratedFrame : public TDecoratedFrame
{
  public:
	TSFXDecoratedFrame(TWindow*        parent,
					   const char far* title,
					   TWindow*        clientWnd,
					   BOOL            trackMenuSelection = FALSE,
					   BOOL            sfxCaption = FALSE,
					   TModule*        module = 0);

  protected:
	//	call SFXDefWindowProc instead of DefWindowProc
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXDecoratedFrame);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXDecoratedFrame, 1);
};

#endif  // __SFX_SDFRAME_H
